## frogatto-data 1.3.1+dfsg

=== modules/frogatto/po/Makefile ===
update-pot:
	../utils/make-pot.sh > frogatto.pot.bak
	msguniq -F frogatto.pot.bak > frogatto.pot
	rm frogatto.pot.bak

%.po: frogatto.pot
	msgmerge $@ frogatto.pot -o $@.part
	mv $@.part $@

LINGUAS=ar cs de el en_GB eo es fr gd hu_HU id it ja ms_MY nl pl pt_BR ru sk sr@latin sv tt zh_CN

update-po:
	(for lang in ${LINGUAS}; do \
		${MAKE} $$lang.po ; \
	done)

update-mo:
	(for lang in ${LINGUAS}; do \
		mkdir -p ../locale/$$lang/LC_MESSAGES ; \
		msgfmt $$lang.po -o ../locale/$$lang/LC_MESSAGES/frogatto.mo ; \
	done)

## frogatto-data 1.0

=== debian/changelog ===
frogatto-data (1.0-2) unstable; urgency=low

  * fixed architecture: it must be 'all' instead 'any'.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 16 Jul 2010 16:38:49 +0400

frogatto-data (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #589280).

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 16 Jul 2010 12:14:11 +0400

=== debian/control ===
Source: frogatto-data
Section: non-free/games
Priority: extra
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 3.9.0
Build-Depends: cdbs, debhelper (>= 7.0)
Homepage: http://www.frogatto.com/
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
VCS-Browser: http://git.debian.org/?p=pkg-games/frogatto-data.git;a=summary
VCS-Git: git+ssh://git.debian.org/git/pkg-games/frogatto-data.git

Package: frogatto-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
 ttf-freefont,
 ttf-dejavu-core
Suggests: frogatto (>= ${source:Version})
Description:  2D platformer game starring a quixotic frog
 Frogatto is a platformer in the style of old arcade, Sega and
 Nintendo games. The world is viewed as a cross-section seen from the
 side, and your character walks and jumps between solid platforms
 whilst fighting monsters.
 .
 This package contains game data and music files.

=== debian/watch ===
version=3
 opts=dversionmangle=s/\+dfsg\d+$// \
 http://www.frogatto.com/download \
    .*/frogatto-(\d+(?:\.\d+){1,2}).tar.bz2

## frogatto-data 1.0.3+dfsg1

=== debian/changelog ===
frogatto-data (1.0.3+dfsg1-1) unstable; urgency=low

  * new upstream version.
  * 

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 22 Sep 2010 16:13:05 +0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/games
 Priority: extra
 Maintainer: Dmitry E. Oboukhov <unera@debian.org>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Build-Depends: cdbs, debhelper (>= 7.0)
 Homepage: http://www.frogatto.com/
 Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>

## frogatto-data 1.1+dfsg

=== debian/changelog ===
frogatto-data (1.1+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 14 Jun 2011 11:23:48 +0400

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_VERSION 	:= $(shell		\
		dpkg-parsechangelog 		\
	|	grep ^Version 			\
	|	awk '{print $$2}' 		\
	|	sed 's/-[[:digit:]]\+$$//'	\
)
include /usr/share/cdbs/1/rules/debhelper.mk

tarball:
	cd .. && tar \
		--exclude=debian \
		--exclude=.git \
		-czvf frogatto-data_$(PACKAGE_VERSION).orig.tar.gz \
		frogatto-data-$(PACKAGE_VERSION)

## frogatto-data 1.2%2bdfsg

=== debian/changelog ===
frogatto-data (1.2+dfsg-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1005378)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 28 May 2012 19:28:13 +0100

frogatto-data (1.2+dfsg-1) unstable; urgency=low

  * Add myself to Uploaders.
  * New upstream release.
  * Drop +ssh protocol in debian/control Vcs-* fields.
  * Fix debian/watch file to point to latest release hosted on Github.
  * Update to Standards version 3.9.3, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 20 May 2012 17:14:17 -0700

## frogatto-data 1.2+dfsg

=== debian/control ===
Source: frogatto-data
Section: non-free/games
Priority: extra
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
 Vincent Cheng <Vincentc1208@gmail.com>
Standards-Version: 3.9.3
Build-Depends: cdbs, debhelper (>= 7.0)
Homepage: http://www.frogatto.com/
Vcs-Browser: http://git.debian.org/?p=pkg-games/frogatto-data.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-games/frogatto-data.git

Package: frogatto-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
 ttf-freefont,
 ttf-dejavu-core
Suggests: frogatto (>= ${source:Version})
Description: 2D platformer game starring a quixotic frog
 Frogatto is a platformer in the style of old arcade, Sega and
 Nintendo games. The world is viewed as a cross-section seen from the
 side, and your character walks and jumps between solid platforms
 whilst fighting monsters.
 .
 This package contains game data and music files.

## frogatto-data 1.3.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,10 @@
 		--exclude=.git \
 		-czvf frogatto-data_$(PACKAGE_VERSION).orig.tar.gz \
 		frogatto-data-$(PACKAGE_VERSION)
+		
+
+# Damn cdbs: the following is not working as I fail to see the target
+# called after all the installs and before the dh_builddep. That would
+# fix a lintian warning however.
+#common-binary-indep::
+#	cd debian/frogatto-data/usr/share/games/frogatto && find -type f -print0 |xargs -0 chmod a-x

## frogatto-data 1.3.1+dfsg

=== debian/changelog ===
frogatto-data (1.3.1+dfsg-4) unstable; urgency=medium

  * Team Upload
  * Fix Vcs urls for existing Games Team repository
  * Switch from CDBS to DebHelper 13
  * Rewrite d/copyright in machine-parsable format

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 15:47:07 +0200

frogatto-data (1.3.1+dfsg-3) unstable; urgency=medium

  * Binary upload. Frogatto-data is non-free, so no source-only please.

 -- Martin Quinson <mquinson@debian.org>  Sun, 07 Jun 2020 01:14:33 +0200

frogatto-data (1.3.1+dfsg-2) unstable; urgency=low

  [ Vincent Cheng ]
  * Install high resolution icon file. (Closes: #794229)
  * Migrate dependency from old transitional ttf-dejavu-core package to
    fonts-dejavu-core instead. (Closes: #962299)
  * Update email address.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 10.
  * Change priority extra to priority optional.
  * Update Vcs-* headers to use salsa repository.

  [ Martin Quinson ]
  * Review the changes of the Janitor, and upload to unstable.

 -- Martin Quinson <mquinson@debian.org>  Fri, 05 Jun 2020 22:13:53 +0200

frogatto-data (1.3.1+dfsg-1) unstable; urgency=low

  Team upload.

  [ Vincent Cheng <Vincentc1208@gmail.com> ]
  * New upstream release.
  * Install upstream menu icon into /usr/share/pixmaps. (LP: #880188)
  * Depend on fonts-freefont-ttf instead of ttf-freefont.
  * Update watch file, thanks to Bart Martens.
  * Update to Standards version 3.9.4, no changes required.

  [ Martin Quinson ]
  * Switch to debhelper compatibility level 9.
  * Add myself to Uploaders.
  * debian/control: Drop ${shlibs:Depends} from the dependencies.
    This package doesn't include any binary, so dpkg-gencontrol complains
  * Don't install the content of /usr/share/games/frogatto/utils as it
    seems only useful to work on the source.
  * Other small cleanups to make lintian happy

 -- Martin Quinson <mquinson@debian.org>  Sun, 27 Jan 2013 10:24:01 +0100

=== debian/control ===
Source: frogatto-data
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dmitry E. Oboukhov <unera@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Martin Quinson <mquinson@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13)
Homepage: https://www.frogatto.com/
Vcs-Git: https://salsa.debian.org/games-team/frogatto-data.git
Vcs-Browser: https://salsa.debian.org/games-team/frogatto-data

Package: frogatto-data
Architecture: all
Depends: ${misc:Depends},
 fonts-freefont-ttf,
 fonts-dejavu-core
Suggests: frogatto
Description: 2D platformer game starring a quixotic frog (data files)
 Frogatto is a platformer in the style of old arcade, Sega and
 Nintendo games. The world is viewed as a cross-section seen from the
 side, and your character walks and jumps between solid platforms
 whilst fighting monsters.
 .
 This package contains game data and music files.

=== debian/rules ===
#!/usr/bin/make -f

%:

	dh $@

execute_after_dh_fixperms:
	find debian/frogatto-data -name '*.cfg' -executable -exec chmod -v -x {} \;

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
 https://github.com/frogatto/frogatto/tags .*/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
